Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1002250 - Review Request: nodejs-globule - An easy-to-use wildcard globbing library for Node.js
Summary: Review Request: nodejs-globule - An easy-to-use wildcard globbing library for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2013-08-28 17:47 UTC by Jamie Nguyen
Modified: 2013-09-29 01:39 UTC (History)
2 users (show)

Fixed In Version: nodejs-gaze-0.4.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-08 12:14:40 UTC
tom: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Jamie Nguyen 2013-08-28 17:47:28 UTC
Spec URL: http://jamielinux.fedorapeople.org/nodejs/nodejs-globule.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodejs/SRPMS/nodejs-globule-0.1.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
An easy-to-use wildcard globbing library for Node.js.

Comment 1 Tom Hughes 2013-09-01 20:41:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-globule-0.1.0-1.fc20.noarch.rpm
nodejs-globule.noarch: W: spelling-error Summary(en_US) wildcard -> wild card, wild-card, wildcat
nodejs-globule.noarch: W: spelling-error Summary(en_US) globbing -> globing, gobbing, lobbing
nodejs-globule.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-globule.noarch: W: spelling-error %description -l en_US wildcard -> wild card, wild-card, wildcat
nodejs-globule.noarch: W: spelling-error %description -l en_US globbing -> globing, gobbing, lobbing
nodejs-globule.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-globule.noarch: W: only-non-binary-in-usr-lib
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/glob /usr/lib/node_modules/glob
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/lodash /usr/lib/node_modules/lodash
1 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-globule
nodejs-globule.noarch: W: spelling-error Summary(en_US) wildcard -> wild card, wild-card, wildcat
nodejs-globule.noarch: W: spelling-error Summary(en_US) globbing -> globing, gobbing, lobbing
nodejs-globule.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-globule.noarch: W: spelling-error %description -l en_US wildcard -> wild card, wild-card, wildcat
nodejs-globule.noarch: W: spelling-error %description -l en_US globbing -> globing, gobbing, lobbing
nodejs-globule.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-globule.noarch: W: only-non-binary-in-usr-lib
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/minimatch /usr/lib/node_modules/minimatch
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/glob /usr/lib/node_modules/glob
nodejs-globule.noarch: W: dangling-symlink /usr/lib/node_modules/globule/node_modules/lodash /usr/lib/node_modules/lodash
1 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-globule (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(glob)
    npm(lodash)
    npm(minimatch)



Provides
--------
nodejs-globule:
    nodejs-globule
    npm(globule)



Source checksums
----------------
http://registry.npmjs.org/globule/-/globule-0.1.0.tgz :
  CHECKSUM(SHA256) this package     : 99bab6faaee221455a78d0372d1299486e03ae840c692a5d6bf2e719f1f5af17
  CHECKSUM(SHA256) upstream package : 99bab6faaee221455a78d0372d1299486e03ae840c692a5d6bf2e719f1f5af17


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1002250

Comment 2 Tom Hughes 2013-09-01 20:46:59 UTC
All looks good. Package approved!

Comment 3 Jamie Nguyen 2013-09-01 21:12:35 UTC
New Package SCM Request
=======================
Package Name: nodejs-globule
Short Description: An easy-to-use wildcard globbing library for Node.js
Owners: jamielinux patches
Branches: f18 f19 f20 el6
InitialCC:

Comment 4 Dennis Gilmore 2013-09-02 15:08:52 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-09-04 18:56:48 UTC
nodejs-globule-0.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-globule-0.1.0-1.fc19

Comment 6 Fedora Update System 2013-09-04 18:57:42 UTC
nodejs-globule-0.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-globule-0.1.0-1.fc18

Comment 7 Fedora Update System 2013-09-04 18:58:13 UTC
nodejs-globule-0.1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-globule-0.1.0-1.el6

Comment 8 Fedora Update System 2013-09-04 18:59:26 UTC
nodejs-globule-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-globule-0.1.0-1.fc20

Comment 9 Fedora Update System 2013-09-05 17:51:40 UTC
nodejs-gaze-0.4.1-1.fc20, jasmine-node-1.11.0-1.fc20, nodejs-jasmine-growl-reporter-0.0.2-1.fc20, nodejs-globule-0.1.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-09-28 18:40:21 UTC
nodejs-gaze-0.4.1-1.el6, jasmine-node-1.11.0-1.el6, nodejs-jasmine-growl-reporter-0.0.2-1.el6, nodejs-globule-0.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2013-09-29 01:23:46 UTC
nodejs-gaze-0.4.1-1.fc20, jasmine-node-1.11.0-1.fc20, nodejs-jasmine-growl-reporter-0.0.2-1.fc20, nodejs-globule-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 12 Fedora Update System 2013-09-29 01:27:27 UTC
nodejs-gaze-0.4.1-1.fc19, jasmine-node-1.11.0-1.fc19, nodejs-jasmine-growl-reporter-0.0.2-1.fc19, nodejs-globule-0.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 13 Fedora Update System 2013-09-29 01:39:07 UTC
nodejs-gaze-0.4.1-1.fc18, jasmine-node-1.11.0-1.fc18, nodejs-jasmine-growl-reporter-0.0.2-1.fc18, nodejs-globule-0.1.0-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.